Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004928OCamlCamlp4public2009-11-25 16:092012-09-25 20:06
Reporterygrek 
Assigned Toxclerc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.12.1+dev 
Summary0004928: wrong printing of method specifications
DescriptionPrinters.OCaml.print_implem adds ;; after each method specification. This is not a valid OCaml syntax.

`-pp camlp4o` accepts such syntax. Probably this is another bug.
Additional Information$ cat q.ml
open Camlp4.PreCast
let _loc = Loc.mk "<string>"
let make s = <:str_item< class $lid:s$ = object method name = $str:s$ end >>
let () = Printers.OCaml.print_implem (make "hello")

$ ocaml dynlink.cma camlp4of.cma -init q.ml
        Objective Caml version 3.11.1

    Camlp4 Parsing version 3.11.1

class hello = object method name = "hello";; end;;
TagsNo tags attached.
Attached Filespatch file icon camlp4_method.patch [^] (4,599 bytes) 2009-12-03 17:57 [Show Content]

- Relationships

-  Notes
(0005648)
ygrek (reporter)
2010-09-02 14:59

Please apply the patch, still the case in 3.12.0 :

        Objective Caml version 3.12.0

    Camlp4 Parsing version 3.12.0

class hello = object method name = "hello";; end;;

- Issue History
Date Modified Username Field Change
2009-11-25 16:09 ygrek New Issue
2009-11-25 16:09 ygrek Status new => assigned
2009-11-25 16:09 ygrek Assigned To => ertai
2009-12-03 17:57 hnrgrgr File Added: camlp4_method.patch
2010-09-02 14:59 ygrek Note Added: 0005648
2011-02-02 16:51 xclerc Assigned To ertai => xclerc
2011-02-02 16:52 xclerc Status assigned => resolved
2011-02-02 16:52 xclerc Fixed in Version => 3.12.1+dev
2011-02-02 16:52 xclerc Resolution open => fixed
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker